package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 时间枚举
 * @Author: liweifan
 * @Data: 2022/4/13 14:22
 */
public enum TimeTypeEnum implements BaseEnum<String, TimeTypeEnum> {
    MONTH("月度"),
    QUARTER("季度"),
    YEAR("年度");
    @EnumValue
    private String code;
    private String msg;

    TimeTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
